Bug 195457 - New: KeyError: 'DOMAIN' while browsing for samba printers
New: KeyError: 'DOMAIN' while browsing for samba printers
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2006-06-15 07:54 EDT by Bernhard Ege
Modified: 2008-03-12 02:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-12 02:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Ege 2006-06-15 07:54:30 EDT
NOTE: This is a resubmission because of the bugzilla disc crash. Was previously
known as bug 194589. Also note, my suggested fix is not entirely correct but is
close (previous (and now lost) bugzilla fix was better). 

Description of problem:

When adding a new smb printer, system-config-printer fails with this error:
Traceback (most recent call last):
File "/usr/share/printconf/util/addQueue.py", line 524, in type_menu_changed
  self.browse_smb_hosts ()
File "/usr/share/printconf/util/addQueue.py", line 866, in browse_smb_hosts
  store.set_value (iter, 0, d['DOMAIN'])
KeyError: 'DOMAIN' 

Version-Release number of selected component (if applicable):


How reproducible:

Add the first samba printer (which worked) and then try to add another samba
printer (which failes with the above error every time).

Steps to Reproduce:
1. system-config-printer
2. Click: New
3. Select SMB and wait for error.
Actual results:

Error displays and samba list of printers newer shows up.

Expected results:

No error and list of samba printers/domains visible and selectable.

Additional info:

Error located in:

In function: get_domain_list 

dict = { 'IP': ip }

should be:

dict = { 'IP': ip , 'DOMAIN': dom } 

This at least prevents the error from occuring but I am not 100% sure the fix is
Comment 1 Tim Waugh 2006-06-15 08:10:15 EDT
Fixed in CVS. (Thanks for re-filing this..)
Comment 2 Tim Waugh 2006-08-16 07:26:10 EDT
Please try this test update:


You should be able to get this using the command:

  yum --enablerepo=updates-testing update 'system-config-printer*'

as root.
Comment 3 Bernhard Ege 2006-08-16 09:02:17 EDT
Tested and works for me. :-)

Note You need to log in before you can comment on or make changes to this bug.